Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 725651 - HTML tidyp can't handle Chinese file name in zh_CN.utf8 locale
HTML tidyp can't handle Chinese file name in zh_CN.utf8 locale
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tidyp (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On: 720221
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 03:54 EDT by Peng Wu
Modified: 2011-08-30 17:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: tidyp-1.02-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 720221
Environment:
Last Closed: 2011-08-24 11:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2011-07-26 03:54:45 EDT
+++ This bug was initially created as a clone of Bug #720221 +++

Description of problem:
When using '-output' option with Chinese file name, the created output file name is incorrect.

Version-Release number of selected component (if applicable):
tidy-0.99.0-21.20091203.fc15.x86_64

How reproducible:
Tidy a html with Chinese output file name.

Steps to Reproduce:
By using the following command:
$ touch 中文.html
$ /usr/bin/tidy -f 中文.html.stderr -output 中文.html.stdout 中文.html
$ ls
中??!.html.stdout  中文.html  中文.html.stderr

  
Actual results:
$ ls
中??!.html.stdout  中文.html  中文.html.stderr
'中文.html.stdout' becomes '中??!.html.stdout'.

Expected results:
$ ls
中文.html.stdout  中文.html  中文.html.stderr
'中文.html.stdout' becomes '中文.html.stdout'.

Additional info:

--- Additional comment from pwu@redhat.com on 2011-07-17 23:07:29 EDT ---

I tried tidyp, tidyp also have the same problem.
Comment 1 Peng Wu 2011-07-26 03:56:52 EDT
Version-Release number of selected component (if applicable):
tidyp-1.02-4.fc15.x86_64

Steps to Reproduce:
By using the following command:
$ touch 中文.html
$ tidyp  -f 中文.html.stderr -output 中文.html.stdout 中文.html
$ ls
中??!.html.stdout  中文.html  中文.html.stderr
Comment 2 Paul Howarth 2011-07-29 14:34:10 EDT
I have sent a fix for this upstream:

https://github.com/petdance/tidyp/pull/18
Comment 3 Peng Wu 2011-07-31 22:50:09 EDT
Thanks.
Comment 4 Fedora Update System 2011-08-12 03:58:18 EDT
tidyp-1.02-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tidyp-1.02-5.fc16
Comment 5 Fedora Update System 2011-08-12 03:58:55 EDT
tidyp-1.02-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tidyp-1.02-5.fc14
Comment 6 Fedora Update System 2011-08-12 03:59:03 EDT
tidyp-1.02-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tidyp-1.02-5.fc15
Comment 7 Fedora Update System 2011-08-12 03:59:12 EDT
tidyp-1.02-5.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/tidyp-1.02-5.el4
Comment 8 Fedora Update System 2011-08-12 03:59:20 EDT
tidyp-1.02-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/tidyp-1.02-5.el5
Comment 9 Fedora Update System 2011-08-12 03:59:28 EDT
tidyp-1.02-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tidyp-1.02-5.el6
Comment 10 Fedora Update System 2011-08-23 00:35:59 EDT
tidyp-1.02-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-08-23 00:40:03 EDT
tidyp-1.02-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-08-23 16:30:09 EDT
tidyp-1.02-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-08-30 17:02:31 EDT
tidyp-1.02-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-08-30 17:03:20 EDT
tidyp-1.02-5.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-08-30 17:04:29 EDT
tidyp-1.02-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.